Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageExtractComponents Class Reference

`#include <vtkImageExtractComponents.h>`

Inheritance diagram for vtkImageExtractComponents:

[legend]
Collaboration diagram for vtkImageExtractComponents:

[legend]
List of all members.

## Detailed Description

Outputs a single component.

Date:
  2002/01/22 15:32:29

Revision:
  1.26

vtkImageExtractComponents takes an input with any number of components and outputs some of them. It does involve a copy of the data.

See also:
  vtkImageAppendComponents

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (46%)
  - Martin, Ken (40%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageExtractComponents.h)`
  - .`cxx` (`/Imaging/vtkImageExtractComponents.cxx)`

Tests:
  vtkImageExtractComponents (Tests)

Definition at line 49 of file vtkImageExtractComponents.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetComponents (int c1)
void | SetComponents (int c1, int c2)
void | SetComponents (int c1, int c2, int c3)
virtual int * | GetComponents ()
virtual void | GetComponents (int &, int &, int &)
virtual void | GetComponents (int[3])
virtual int | GetNumberOfComponents ()
## Static Public Methods
vtkImageExtractComponents * | New ()
int | IsTypeOf (const char *type)
vtkImageExtractComponents * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageExtractComponents ()
| ~vtkImageExtractComponents ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)
## Protected Attributes
int | NumberOfComponents
int | Components [3]

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageExtractComponents::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 53 of file vtkImageExtractComponents.h.

## Constructor & Destructor Documentation

vtkImageExtractComponents::vtkImageExtractComponents | ( |  | ) | `[protected]`

vtkImageExtractComponents::~vtkImageExtractComponents | ( |  | ) | `[inline, protected]`

| Definition at line 72 of file vtkImageExtractComponents.h.

## Member Function Documentation

vtkImageExtractComponents* vtkImageExtractComponents::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageExtractComponents::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageExtractComponents::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageExtractComponents::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageExtractComponents* vtkImageExtractComponents::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageExtractComponents::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

void vtkImageExtractComponents::SetComponents | ( | int | c1 | ) |

| Set/Get the components to extract.

void vtkImageExtractComponents::SetComponents | ( | int | c1,
|  | int | c2
| ) |

| Set/Get the components to extract.

void vtkImageExtractComponents::SetComponents | ( | int | c1,
|  | int | c2,
|  | int | c3
| ) |

| Set/Get the components to extract.

virtual int* vtkImageExtractComponents::GetComponents | ( |  | ) | `[virtual]`

| Set/Get the components to extract.

virtual void vtkImageExtractComponents::GetComponents | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get the components to extract.

virtual void vtkImageExtractComponents::GetComponents | ( | int | [3] | ) | `[virtual]`

| Set/Get the components to extract.

virtual int vtkImageExtractComponents::GetNumberOfComponents | ( |  | ) | `[virtual]`

| Get the number of components to extract. This is set implicitly by the SetComponents() method.

void vtkImageExtractComponents::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageExtractComponents::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 78 of file vtkImageExtractComponents.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageExtractComponents::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageExtractComponents::NumberOfComponents`[protected]`

| Definition at line 74 of file vtkImageExtractComponents.h.

int vtkImageExtractComponents::Components[3]`[protected]`

| Definition at line 75 of file vtkImageExtractComponents.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageExtractComponents.h